Rated 4 out of 5 stars

not compatible x64
Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:2.0b13pre) Gecko/20110321 Firefox/4.0b13pre

This review is for a previous version of the add-on (0.1.40.20110221).